summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Grigorios Bouzakis <grbzks@gmail.com>2010-05-13 00:19:50 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:19:50 +0200
commit6ee14cf207ee41fd9702f8b1e382ebd374b66c70 (patch)
treeac6b5c0e9198a7873b063d4f13b3ab89c194290c /academic
parent3404c066a0858d0a19eff8e801f04d30aac7595b (diff)
downloadslackbuilds-6ee14cf207ee41fd9702f8b1e382ebd374b66c70.tar.gz
slackbuilds-6ee14cf207ee41fd9702f8b1e382ebd374b66c70.tar.xz
academic/calc: Updated for version 2.12.4.0
Diffstat (limited to 'academic')
-rw-r--r--academic/calc/calc.SlackBuild14
-rw-r--r--academic/calc/calc.info2
2 files changed, 13 insertions, 3 deletions
diff --git a/academic/calc/calc.SlackBuild b/academic/calc/calc.SlackBuild
index 66cfd63f80..53887dd3c8 100644
--- a/academic/calc/calc.SlackBuild
+++ b/academic/calc/calc.SlackBuild
@@ -18,10 +18,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -42,16 +45,21 @@ find . \
make \
EXTRA_CFLAGS="$SLKCFLAGS" \
SCRIPTDIR=/usr/libexec/calc \
+ LIBDIR=/usr/lib${LIBDIRSUFFIX} \
MANDIR=/usr/man/man1
+
make install \
EXTRA_CFLAGS="$SLKCFLAGS" \
SCRIPTDIR=/usr/libexec/calc \
+ LIBDIR=/usr/lib${LIBDIRSUFFIX} \
MANDIR=/usr/man/man1 \
T=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man || exit 1
@@ -72,4 +80,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/calc/calc.info b/academic/calc/calc.info
index 29a4545257..4e61425a45 100644
--- a/academic/calc/calc.info
+++ b/academic/calc/calc.info
@@ -2,7 +2,9 @@ PRGNAM="calc"
VERSION="2.12.4.0"
HOMEPAGE="http://www.isthe.com/chongo/tech/comp/calc/"
DOWNLOAD="http://downloads.sourceforge.net/calc/calc-2.12.4.0.tar.bz2"
+DOWNLOAD_x86_64=""
MD5SUM="2ef56695837c6e501ca80b64e0be0db6"
+MD5SUM_x86_64=""
MAINTAINER="Grigorios Bouzakis"
EMAIL="grbzks@gmail.com"
APPROVED="rworkman"